## libsocialweb 0.25.3+git20100827.45bdf89f

=== debian/changelog ===
libsocialweb (0.25.3+git20100827.45bdf89f-1ubuntu1) natty; urgency=low

  * debian/rules: Link against -lgobject-2.0 -lglib-2.0 to fix FTBFS
    (LP: #676326)

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 17 Nov 2010 02:28:34 +0100

libsocialweb (0.25.3+git20100827.45bdf89f-1) unstable; urgency=low

  * New upstream release
    - Use OAuth to connect twitter (Closes: #591638)
    - ABI bump. Rename libsocialweb-client1 -> libsocialweb-client2
    - Update debian/control Homepage field from Moblin to Meego.
  * Bump Standards-Version to 3.9.1: nothing needs to be changed.
  * Install documentations.
  * Update debian/copyright
  * debian/clean: remove more non-source files

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 28 Aug 2010 22:13:11 +0800

libsocialweb (0.24.0-2) unstable; urgency=low

  * Change to DebSrc3.0 format.
  * debian/patches/01_detect_NM_and_ConnMan.patch: libnm_glib -> libnm-glib
    (Closes: #590405)
  * Bump Standards-Version to 3.9.0: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 26 Jul 2010 07:57:27 +0800

libsocialweb (0.24.0-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 27 Feb 2010 00:39:42 +0800

libsocialweb (0.23.1-1) unstable; urgency=low

  * Initial release (Closes: #568387)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 09 Feb 2010 15:40:08 +0800
