=== debian/control ===
Source: libsocialweb
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libglib2.0-dev, libgconf2-dev,
               libsoup2.4-dev, libdbus-glib-1-dev, librest-dev (>= 0.7.2),
               librest-extras-dev, libjson-glib-dev, libsoup-gnome2.4-dev,
               libgtk2.0-dev, libgnome-keyring-dev, autoconf, automake,
               intltool, libtool, gtk-doc-tools,
               libnm-glib-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.9.1
Homepage: http://meego.com/

Package: libsocialweb0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsocialweb-client2
Description: socialweb library to fetch data from social service
 A social data server which will fetch data from the "social web", such as
 blog posts and photos, upcoming events, recently played tracks, and pending
 auctions. It also provides a service to update status on supported web
 services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
 or with a custom socialweb client.

Package: libsocialweb-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev, librest-dev, librest-extras-dev, libsocialweb0 (= ${binary:Version}), ${misc:Depends}
Description: socialweb library to fetch data from social service (dev. headers)
 A social data server which will fetch data from the "social web", such as
 blog posts and photos, upcoming events, recently played tracks, and pending
 auctions. It also provides a service to update status on supported web
 services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
 or with a custom socialweb client.
 .
 This package contains the development headers

Package: libsocialweb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libsocialweb-dev
Description: socialweb library to fetch data from social service (dev. headers)
 A social data server which will fetch data from the "social web", such as
 blog posts and photos, upcoming events, recently played tracks, and pending
 auctions. It also provides a service to update status on supported web
 services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
 or with a custom socialweb client.
 .
 This package contains the documentation

Package: libsocialweb0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libsocialweb0 (= ${binary:Version}), ${misc:Depends}
Description: socialweb library to fetch data from social service (debug symbols)
 A social data server which will fetch data from the "social web", such as
 blog posts and photos, upcoming events, recently played tracks, and pending
 auctions. It also provides a service to update status on supported web
 services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
 or with a custom socialweb client.
 .
 This package contains the debug symbols.

Package: libsocialweb-client2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsocialweb0
Description: client library to access socialweb server
 This library allows programmatic access to information available from the
 socialweb social data server.

Package: libsocialweb-client-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev, libdbus-glib-1-dev, libsocialweb-client2 (= ${binary:Version}), ${misc:Depends}
Description: client library to access socialweb server (development headers)
 This library allows programmatic access to information available from the
 socialweb social data server.
 .
 This package contains the development headers

Package: libsocialweb-client-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libsocialweb-client-dev
Description: client library to access socialweb server (development headers)
 This library allows programmatic access to information available from the
 socialweb social data server.
 .
 This package contains the documentation

Package: libsocialweb-client2-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libsocialweb-client2 (= ${binary:Version}), ${misc:Depends}
Description: client library to access socialweb server (debug symbols)
 This library allows programmatic access to information available from the
 socialweb social data server.
 .
 This package contains the debug symbols
