=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -lgobject-2.0 -lglib-2.0

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/buildvars.mk

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = git://gitorious.org/meego-middleware/libsocialweb.git

DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/autogen.sh
DEB_CONFIGURE_EXTRA_FLAGS = --enable-gtk-doc \
  --enable-digg --enable-flickr --enable-lastfm --enable-myspace \
  --enable-twitter \
  --with-gnome \
  --disable-static

ifeq ($(DEB_BUILD_ARCH_OS),linux)
  DEB_CONFIGURE_EXTRA_FLAGS += --with-online=fallback_connman_nm
else
  DEB_CONFIGURE_EXTRA_FLAGS += --with-online=always
endif 

clean::
	rm -rf m4 build-aux
	rm -rf docs/libsocialweb/html docs/libsocialweb-client/html
	rm -rf docs/libsocialweb-dbus/html

get-orig-source::
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

common-binary-predeb-arch:: list-missing
