=== debian/watch ===
version=3
opts=dversionmangle=s/.git\d*// \
http://git.moblin.org/cgit.cgi/libsocialweb/ snapshot/libsocialweb-([\d\.]*).tar.gz
