## libsocialweb 0.25.19

=== debian/changelog ===
libsocialweb (0.25.19-1) unstable; urgency=low

  * New upstream release
  * Don't use hardcoded non-Linux arch list in Build-Depends. (Closes: #634708)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 25 Jul 2011 23:08:54 +0800

libsocialweb (0.25.18-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 02 Jul 2011 17:01:04 +0800

libsocialweb (0.25.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622470).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 17:46:25 +0200

libsocialweb (0.25.17-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 04 Jun 2011 21:56:57 +0800

libsocialweb (0.25.13-1) unstable; urgency=low

  * New upstream release
    - Fix FTBFS with gold or ld --no-add-needed (Closes: #615746)
  * Remove debian/patches/02_add_missing_xsl_file.patch: upstreamed
  * Remove debian/patches/03_fix_gtkdoc_build.patch: upstreamed
  * Add gir1.2-socialweb-client package to install introspection data
  * Update debian/copyright format to dep5 rev 173

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 29 Mar 2011 14:18:27 +0800

libsocialweb (0.25.7-1) experimental; urgency=low

  * New upstream release (Closes: #610759)
  * Use dh-autoreconf
    + Update debian/rules to use autoreconf
  * Update source tarball from gnome.org instead of meego.org.
    + Update debian/control Homepage field
    + Update debian/copyright Source field
    + Update debian/watch scan path
  * 02_add_missing_xsl_file.patch: Fix fail to build twice in a row
  * 03_fix_gtkdoc_build.patch: Fix fail to build docs

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 02 Feb 2011 01:18:01 +0800
