=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: libsocialweb
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libglib2.0-dev, libgconf2-dev,
-               libsoup2.4-dev, libdbus-glib-1-dev, librest-dev (>= 0.7.2),
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Build-Depends: debhelper (>= 7), cdbs, dh-autoreconf,
+               libglib2.0-dev, libgconf2-dev,
+               libsoup2.4-dev, libdbus-glib-1-dev, librest-dev (>= 0.7.10),
                librest-extras-dev, libjson-glib-dev, libsoup-gnome2.4-dev,
                libgtk2.0-dev, libgnome-keyring-dev, autoconf, automake,
                intltool, libtool, gtk-doc-tools,
-               libnm-glib-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 3.9.1
-Homepage: http://meego.com/
+               gobject-introspection (>= 0.9.12),
+               libgirepository1.0-dev (>= 0.9.12),
+               gir1.2-glib-2.0, gir1.2-rest-0.7,
+               libnm-glib-dev [linux-any]
+Standards-Version: 3.9.2
+Homepage: http://gnome.org/
 
 Package: libsocialweb0
 Section: libs
@@ -105,3 +108,16 @@
  socialweb social data server.
  .
  This package contains the debug symbols
+
+Package: gir1.2-socialweb-client
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${gir:Depends}, ${misc:Depends}
+Description: client library to access socialweb server (introspection files)
+ This library allows programmatic access to information available from the
+ socialweb social data server.
+ .
+ This package contains introspection data.
+ .
+ It can be used by packages using the GIRepository format to generate dynamic
+ bindings.
