=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,23 @@
 #!/usr/bin/make -f
 
-LDFLAGS += -lgobject-2.0 -lglib-2.0
-
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/buildvars.mk
+include /usr/share/cdbs/1/class/gnome.mk
 
 DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
 DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
-GIT_URL = git://gitorious.org/meego-middleware/libsocialweb.git
+GIT_URL = git://git.gnome.org/libsocialweb
 
-DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/autogen.sh
+DEB_CONFIGURE_SCRIPT = $(CURDIR)/$(DEB_SRCDIR)/configure
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-gtk-doc \
-  --enable-digg --enable-flickr --enable-lastfm --enable-myspace \
-  --enable-twitter \
+  --enable-all-services \
   --with-gnome \
   --disable-static
+DEB_DH_AUTORECONF_ARGS = ./debian/rules upstream_autoreconf
 
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
   DEB_CONFIGURE_EXTRA_FLAGS += --with-online=fallback_connman_nm
@@ -25,10 +25,16 @@
   DEB_CONFIGURE_EXTRA_FLAGS += --with-online=always
 endif 
 
+
 clean::
-	rm -rf m4 build-aux
 	rm -rf docs/libsocialweb/html docs/libsocialweb-client/html
 	rm -rf docs/libsocialweb-dbus/html
+
+upstream_autoreconf:
+	mkdir -p m4
+	gtkdocize || exit 1
+	intltoolize --copy --force --automake || exit 1
+	CLOCAL="${ACLOCAL-aclocal} $ACLOCAL_FLAGS" autoreconf -v -f -i
 
 get-orig-source::
 	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
