## libsocialweb 0.25.20

=== debian/changelog ===
libsocialweb (0.25.20-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:32:30 +0000

libsocialweb (0.25.20-6) unstable; urgency=low

  * debian/control: Remove Build-Depends to libvala-0.16-dev (Closes: #714000)
  * Bump Standards-Version to 3.9.4: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 25 Jun 2013 23:23:29 +0800

libsocialweb (0.25.20-5) unstable; urgency=low

  * debian/control: Build-Depends on valac (>= 0.20) to fix FTBFS on amd64.
    (Closes: #707404)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 02 Jun 2013 14:58:36 +0800

libsocialweb (0.25.20-4) unstable; urgency=low

  * debian/control: modify the version constraints in Break+Replace for package
    gir1.2-socialweb-client-0.25 to make upgrading from current testing
    (0.25.20-2.1) to unstable (>= 0.25.20-3) smooth. (Closes: #704582)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Apr 2013 20:55:21 +0800

libsocialweb (0.25.20-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - add format-argument.patch
      Thanks to Daniel T Chen <seven.steps@gmail.com>

 -- Hideki Yamane <henrich@debian.org>  Mon, 25 Mar 2013 08:23:39 +0900

libsocialweb (0.25.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches
    - add CVE-2012-4511.patch: cherry picking from upstream to solve
      CVE-2012-4511 as its name (Closes: #690675)

 -- Hideki Yamane <henrich@debian.org>  Sat, 02 Mar 2013 19:45:59 +0900

libsocialweb (0.25.20-3) unstable; urgency=low

  * Rename gir1.2-socialweb-client to gir1.2-socialweb-client-0.25
    (Closes: #680299)
  * Add vala bindings for libsocialweb-client.
  * Fix FTBFS. Cherry pick two patches from upstream:
    - Fix namespacing of introspection annotations
      c1791e96182815449781fcda6007b69cd88cf7bf.patch
    - Fix underlinking detected by gold linker
      e928f75ca45df8fb170230c95860f1a0fb3ae4e9.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 20 Sep 2012 00:38:42 +0800

libsocialweb (0.25.20-2) unstable; urgency=low

  * MultiArch support
    - Bump debhelper compat to 9
    - Split -common and -service package
  * Bump Standards-Version to 3.9.3
    - Update debian/copyright to latest 1.0 format

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 22 Jun 2012 09:35:58 +0800

libsocialweb (0.25.20-1) unstable; urgency=low

  * New upstream release
  * Fix typo in package description (Closes: #636120)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 Nov 2011 15:01:12 +0800
