=== debian/control ===
--- 
+++ 
@@ -1,25 +1,44 @@
 Source: libsocialweb
 Section: web
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, dh-autoreconf,
-               libglib2.0-dev, libgconf2-dev,
-               libsoup2.4-dev, libdbus-glib-1-dev, librest-dev (>= 0.7.10),
-               librest-extras-dev, libjson-glib-dev, libsoup-gnome2.4-dev,
-               libgtk2.0-dev, libgnome-keyring-dev, autoconf, automake,
-               intltool, libtool, gtk-doc-tools,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Build-Depends: autoconf,
+               automake,
+               cdbs (>= 0.4.110),
+               debhelper (>= 9),
+               dh-autoreconf,
+               gir1.2-glib-2.0,
+               gir1.2-rest-0.7,
                gobject-introspection (>= 0.9.12),
+               gtk-doc-tools,
+               intltool,
+               libdbus-glib-1-dev,
+               libgconf2-dev,
                libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-glib-2.0, gir1.2-rest-0.7,
-               libnm-glib-dev [linux-any]
-Standards-Version: 3.9.2
+               libglib2.0-dev,
+               libgnome-keyring-dev,
+               libgtk2.0-dev,
+               libjson-glib-dev,
+               libnm-glib-dev [linux-any],
+               librest-dev (>= 0.7.10),
+               librest-extras-dev,
+               libsoup-gnome2.4-dev,
+               libsoup2.4-dev,
+               libtool,
+               valac (>= 0.20)
+Standards-Version: 3.9.4
 Homepage: http://gnome.org/
 
 Package: libsocialweb0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libsocialweb-client2
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libsocialweb-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libsocialweb-client2, libsocialweb-service
+Multi-Arch: same
 Description: socialweb library to fetch data from social service
  A social data server which will fetch data from the "social web", such as
  blog posts and photos, upcoming events, recently played tracks, and pending
@@ -27,10 +46,46 @@
  services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
  or with a custom socialweb client.
 
+Package: libsocialweb-common
+Section: misc
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: libsocialweb0 (<< 0.25.20-2)
+Replaces: libsocialweb0 (<< 0.25.20-2)
+Multi-Arch: foreign
+Description: socialweb library to fetch data from social service (common files)
+ A social data server which will fetch data from the "social web", such as
+ blog posts and photos, upcoming events, recently played tracks, and pending
+ auctions. It also provides a service to update status on supported web
+ services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
+ or with a custom socialweb client.
+ .
+ This package contains the common files which the libraries need
+
+Package: libsocialweb-service
+Section: misc
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libsocialweb0 (<< 0.25.20-2)
+Replaces: libsocialweb0 (<< 0.25.20-2)
+Multi-Arch: foreign
+Description: socialweb library to fetch data from social service (dbus service)
+ A social data server which will fetch data from the "social web", such as
+ blog posts and photos, upcoming events, recently played tracks, and pending
+ auctions. It also provides a service to update status on supported web
+ services such as Facebook and Twitter. Libsocialweb can be accessed via D-Bus,
+ or with a custom socialweb client.
+ .
+ This package contains the dbus service which the libraries need
+
 Package: libsocialweb-dev
 Section: libdevel
 Architecture: any
-Depends: libglib2.0-dev, librest-dev, librest-extras-dev, libsocialweb0 (= ${binary:Version}), ${misc:Depends}
+Depends: libglib2.0-dev,
+         librest-dev,
+         librest-extras-dev,
+         libsocialweb0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: socialweb library to fetch data from social service (dev. headers)
  A social data server which will fetch data from the "social web", such as
  blog posts and photos, upcoming events, recently played tracks, and pending
@@ -45,7 +100,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libsocialweb-dev
-Description: socialweb library to fetch data from social service (dev. headers)
+Description: socialweb library to fetch data from social service (documentation)
  A social data server which will fetch data from the "social web", such as
  blog posts and photos, upcoming events, recently played tracks, and pending
  auctions. It also provides a service to update status on supported web
@@ -71,8 +126,12 @@
 Package: libsocialweb-client2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libsocialweb-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: libsocialweb0
+Multi-Arch: same
 Description: client library to access socialweb server
  This library allows programmatic access to information available from the
  socialweb social data server.
@@ -80,7 +139,11 @@
 Package: libsocialweb-client-dev
 Section: libdevel
 Architecture: any
-Depends: libglib2.0-dev, libdbus-glib-1-dev, libsocialweb-client2 (= ${binary:Version}), ${misc:Depends}
+Depends: gir1.2-socialweb-client-0.25 (= ${binary:Version}),
+         libdbus-glib-1-dev,
+         libglib2.0-dev,
+         libsocialweb-client2 (= ${binary:Version}),
+         ${misc:Depends}
 Description: client library to access socialweb server (development headers)
  This library allows programmatic access to information available from the
  socialweb social data server.
@@ -92,7 +155,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libsocialweb-client-dev
-Description: client library to access socialweb server (development headers)
+Description: client library to access socialweb server (documentation)
  This library allows programmatic access to information available from the
  socialweb social data server.
  .
@@ -109,10 +172,12 @@
  .
  This package contains the debug symbols
 
-Package: gir1.2-socialweb-client
-Section: libs
+Package: gir1.2-socialweb-client-0.25
+Section: introspection
 Architecture: any
-Depends: ${shlibs:Depends}, ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Replaces: gir1.2-socialweb-client (<< 0.25.20-3)
+Breaks: gir1.2-socialweb-client (<< 0.25.20-3)
 Description: client library to access socialweb server (introspection files)
  This library allows programmatic access to information available from the
  socialweb social data server.
