=== debian/watch ===
version=3
opts=dversionmangle=s/.git\d*// \
http://ftp.gnome.org/pub/GNOME/sources/libsocialweb/([\d\.]+)/libsocialweb-([\d\.]*)\.tar\.bz2
